.\" Copyright (C) 1998-2004 Miquel van Smoorenburg.
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" Эта программа является свободно распространяемой, Вы можете распространять ее и/или изменять
.\" в рамках лицензии GNU General Public License, опубликованой Free Software Foundation;
.\" или в редакии 2 Лицензии или ( на Ваше усмотрение) в любой более поздней версии
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" Эта программа распространяется в наджеде, что будет полезна, но без гарантий, без гарантий
.\" выгоды или конкретных целей. Смотрите GNU General Public License.
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
.\"
.TH "LAST, LASTB" "1" "Октябрь 2013" "util-linux" "Пользовательские команды"
.SH ИМЯ
last, lastb \-  отобразить список последних, вошедших в систему пользователей
.SH ОБЗОР
.B last
[options]
.RI [ username "...] [" tty ...]
.br
.B lastb
[options]
.RI [ username "...] [" tty ...]

.SH ОПИСАНИЕ
.B last
проводит обратный поиск в файле
.I /var/log/wtmp
(или файле, назначенном 
.B \-f
опцией) и оторажает список всех осуществивших вход (и выход) с момента создания
файла. Один или несколько
.IR username " и/или " tty
могут быть заданы, в каждом случае
.B last
будут показаны соответствия критерию выбора (этим аргументам). Имена (пользователей)
.I tty
могут быть аббревиатурами, что  
.B last 0
равнозначно
.BR "last tty0" .
.PP
При фиксации сигнала SIGINT ( сгенерированного ключем прерывания (триггером), обычно control-C)
или SIGQUIT-сигнала
.B last
отобразится степень погружения поиска в файл; в случае применения SIGQUIT-сигнала
.B last
(поиск) будет прерван.
.PP
Псевдопользователь
.B reboot
осуществляет вход ( в систему) каждый раз при перезапуске системы. Таким образом
.B last reboot
отобразится журнал всех перезапусков системы с момента создания файла журнала.
.PP
Утилита
.B lastb
аналогична
.BR last ,
за исключением того, что по умолчанию отображает файл журнала,
.IR /var/log/btmp
содержащий все неудачные попытки входа.
.SH ОПЦИИ
.TP
.BR \-a , " \-\-hostlast"
Отображает имя хоста в последней колонке. Полезная комбинация с опцией
.B \-\-dns
.TP
.BR \-d , " \-\-dns"
Linux хранит не только имена удаленных хостов, но и их IP-адрес для нелокальных входов в систему.  
Эта опция переводит IP-адрес обратно в имя хоста.
.TP
.BR \-f , " \-\-file " \fIfile\fR
Указывает
.B last
использовать определенный \fIfile\fR вместо 
.IR /var/log/wtmp .
Опция
.B \-\-file
может быть задана несколько раз и все указанные файлы будут обработаны.
.TP
.BR \-F , " \-\-fulltimes"
Вывести на печать полное время и дату входа в систему и выхода из нее.
.TP
.BR \-i , " \-\-ip"
Тоже , что и 
.B \-\-dns ,
но отображает IP-адрес хоста вместо его имени.
.TP
.BI \- number
.TQ
.BR \-n , " -\-limit " \fInumber\fR
объявляет
.B last
сколько строк отображать
.TP
.BR \-p , " \-\-present " \fItime\fR
отображает пользователей, которые находились (в системе)  в указанное время.
Это похоже на использование опции
.BR \-\-since " and " \-\-until
совместно с аналогичной \fItime\fR.
.TP
.BR \-R , " \-\-nohostname"
Скрывает поле "Имя хоста".
.TP
.BR \-s , " \-\-since " \fItime\fR
Отображает статус учетных записей с определенного времени
.IR time .
Это полезно, например, чтобы легко определить, кто был зарегистрирован в конкретное время. Эта опция часто скомбинирована с 
.BR \-\-until .
.TP
.BR \-t , " \-\-until " \fItime\fR
Отображает статус учетной записи до тех пор пока определено ( время)
.IR time .
.TP
.BI \-\-time\-format " format"
определяет метку времени вывода timestamp
.I format
один из 
.IR notime ,
.IR short ,
.IR full ,
или
.IR iso .

.I notime
вариант, который не выводит на печать никакие метки времени timestamp
.I short
это значение по умолчанию и
.I full
тоже самое, что и опция
.B \-\-fulltimes

.I iso
Данный вариант отобразит метку времени в формате ISO-8601. Этот формат содержит 
информацию о часовом поясе, что предпочтительно для поиска по печатной версии
(отчета) вне системы.
.TP
.BR \-w , " \-\-fullnames"
На выходе отображает полные имена пользователей и доменные имена.
.TP
.BR \-x , " \-\-system"
Отображает число записей выключения системы и изменения уровня запуска.
.SH ФОРМАТЫ ВРЕМЕНИ
Опции, берущие аргумент
.I time
воспринимают следующие форматы:
.TS
./left l2 l.
YYYYMMDDhhmmss

YYYY-MM-DD hh:mm:ss

YYYY-MM-DD hh:mm	(секунды будут установлены на 00)

YYYY-MM-DD	(время будет установлено на 00:00:00)

hh:mm:ss	(дата будет установлена на сегодня)

hh:mm	(дата будет установлена на сегодня, секунды на 00)

now

yesterday	(время будет установлено на 00:00:00)

today	(время будет установлено на 00:00:00)

tomorrow	(время будет установлено на 00:00:00)

+5min

-5days

.TE
.SH ПРИМЕЧАНИЯ
Файлы
.I wtmp
и
.I btmp
могут быть не найдены. Система только журналирует информацию об этих файлах 
при их наличии. Это вопрос локального конфигурирования. Если требуется
использовать эти файлы, то они могут быть созданы простой
.BR touch (1)
командой (например, 
.IR "touch /var/log/wtmp" ).
.SH ФАЙЛЫ
/var/log/wtmp
.br
/var/log/btmp
.SH СМОТРИТЕ ТАКЖЕ
.BR login (1),
.BR wtmp (5),
.BR init (8),
.BR shutdown (8)
